from django.contrib import admin

from .models import Author, Books

class BooksInLine(admin.TabularInline):
    model = Books

class AuthorAdmin(admin.ModelAdmin):
    model = Author
    list_display = ('first_name', 'last_name', 'age', 'nationality')
    search_fields = ['first_name', 'last_name']

    inlines = [BooksInLine]

class BooksAdmin(admin.ModelAdmin):
    list_display = ('title', 'author', 'publisher', 'year_published', 'ISBN')

    def get_title(self, obj):
        return obj.books.title
    
    get_title.short_description = "Book Title"

admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)