from django.shortcuts import render
from django.http import HttpResponse
from django.views import View
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView

from .models import Author, Books

def homepage_view(request):
    authors = Author.objects.all()
    books = Books.objects.all()
    context = {
        'authors': authors,
        'books': books
    }
    return render(request, 'bookshelf/home.html', context)

class BooksListView(ListView):
    model = Books
    template_name = 'bookshelf/books.html'

class BooksDetailView(DetailView):
    model = Books
    template_name = 'bookshelf/book_details.html'

class AuthorsListView(ListView):
    model = Author
    template_name = 'bookshelf/authors.html'

class AuthorsDetailView(DetailView):
    model = Author
    template_name = 'bookshelf/author_details.html'
